Bug 505764 - file does not identify properly some pfa files shipped with a2ps
file does not identify properly some pfa files shipped with a2ps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 11:54 EDT by Nicolas Mailhot
Modified: 2010-12-05 01:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-06-13 11:54:42 EDT
Description of problem:

file thinks the pfa files in ghostscript-fonts-5.50-22.fc12.noarch.rpm are "PostScript document text" 

They should be identified as "PostScript Type 1 font text"

Version-Release number of selected component (if applicable):

file-5.03-2.fc12.x86_64

Full list:

 ./usr/share/ogonkify/fonts/pcrb-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/pcrbo-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/pcrr-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/pcrro-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/phvb-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/phvbo-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/phvr-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/phvro-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/ptmb-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/ptmbi-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/ptmr-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
 ./usr/share/ogonkify/fonts/ptmri-o.pfa	PostScript document text	a2ps-4.14-8.fc11.x86_64.rpm
Comment 1 Daniel Novotny 2009-06-15 06:37:06 EDT
Adobe fonts, to be properly identified as fonts, have to have the right header, for example %!PS-AdobeFont-1.1 

The files you list have just "%!" header, which identifies them as generic PostScript files

so file does nothing wrong: without the proper header it cannot tell you anything

closing this: the files were created by ogonkify, so you can reassign this to this component, if you think ogonkify should generate the files with the header
Comment 2 Bug Zapper 2010-11-04 07:07:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-05 01:51:24 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.